
.project-container {
    display: grid;
    grid-template-rows: 12% 87%;
    gap: 1rem;
    background: #e7dbdd;
    border: 6px solid #dc9b9b;
    border-radius: 50px;
    z-index: 1;
    width: 100%;
    max-width: 90rem;
    height: 49rem;
    position: relative;
    box-shadow: 30px 20px 20px 5px rgba(0, 0, 0, 0.15),
    inset 15px 15px 10px rgba(255, 255, 255, 0.75),
    -15px -15px 35px rgba(255, 253, 253, 0.253),
    inset -1px -1px 10px rgba(0, 0, 0, 0.2);
}

.project-container:before {
    content: '';
    position: absolute;
    inset: 0;
    border-radius: 48px;
    box-shadow: inset 10px 10px 20px rgba(0,0,0,0.5),
                inset -5px -5px 15px rgb(204, 197, 197);
    z-index: 1;
}

.title_project {
    margin-top: 3rem;
    grid-area: 1 / 1 / 2 / 2;
}

.projects-wrapper {
    grid-area: 2 / 1 / 3 / 2;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin: auto;
    margin-left: 3rem;
    margin-right: 3rem;
}

.card {
    margin: 5px auto 50px;
    width: 400px;
    height: 600px;
    z-index: 5;
}

.card-inner {
    width: 100%;
    height: 100%;
    transition: transform 1s;
    transform-style: preserve-3d;
    cursor: pointer;
    position: relative;
    user-select: none;
}

.card-face {
    position: absolute;
    width: 100%;
    height: 100%;
    /* backface-visibility: hidden; */
    overflow: hidden;
    border-radius: 16px;
    box-shadow: 0px 3px 18px 3px rgba(0, 0, 0, 0.2);
    display: flex;
    justify-content: center;
    align-items: center;
    /* text-shadow: 2px 2px 10px rgba(0, 0, 0, 0.9); */
}


.card:hover .details {
    bottom: 130px;
}

.card-body {
    display: grid;
    grid-template-rows: 50% 30% 20%;
    height: 10rem;
    width: 23rem;
}

.description {
    grid-area: 1 / 1 / 2 / 2;
}

.tags {
    position: relative;
    font-size: 15px;
}

.tags span {
    padding: 2px 5px;
    margin-right: 2px;
    color: #fff;
    display: inline-block;
    border-radius: 4px;
    background: #7206f7;
    margin-bottom: 2px;
}

.card-face.back {
    background-color: #e6cec9;
}

.card-content {
    width: 100%;
    height: 100%;
    margin-left: 2rem;
    color: #383637;
}

.card-header {
    position: relative;
    padding: 20px 20px 10px;
}

.card-header:after {
    content: '';
    display: block;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
    border-radius: 0 0 50% 0;
    background: linear-gradient(45deg, #a13a57, #d88a8a);

}

.project-item-links {
    display: flex;
    gap: 1rem;
    z-index: 6;
    grid-area: 2 / 1 / 3 / 2;
    margin-top: 2rem;
}

.project-item-links a {
    background: #e7dbdd;
    width: fit-content;
    height: 2rem;
    padding: 0 1rem;
}

.card-footer {
    grid-area: 2 / 1 / 3 / 2;
}

/* Media Breakpoints (LG Devices) */
@media screen and (max-width: 1320px){
    #projects {
        height: 68vh;
    }

    .project-container {
        width: 80%;
        height: 60rem;
    }

    .projects-wrapper {
        width: 68%;
        margin: auto;
        margin-left: 3rem;
        margin-right: 3rem;
        flex-direction: column;
    }

    .card {
        margin: -2rem auto 50px;
        width: 32rem;
        height: 17rem;
    }

    .card-content {
        display: grid;
        grid-template-columns: 1% 24% 74% 1%;
        grid-template-rows: 70% 30%;
        margin-left: 0;
    }
    .card-header {
        grid-area: 1 / 2 / 3 / 3; 
    }

    .card-body {
        grid-area: 1 / 3 / 2 / 4; 
        margin-left: 4rem;
        margin-top: 2rem;
        width: 18rem;
    }

    .card-footer {
        grid-area: 2 / 3 / 3 / 4; 
        margin-left: -6.5rem;
    }

    .card-header img {
        width: 9rem;
        height: 9rem;
    } 

    .title_project {
        margin-top: 2rem;
    }

    
}


/* Media Breakpoints (MD Devices) */
@media screen and (max-width: 1024px){

    .project-container {
        width: var(--container-width-md);
        grid-template-columns: 1fr 1fr;
        gap: 1.2rem;
        margin: 5rem;
    }
}

/* Media Breakpoints (SM Devices) */
@media screen and (max-width: 600px){
    .project-container {
        grid-template-columns: 1fr;
        gap: 1rem;
    }
}
